Loading...
Searching...
No Matches
etl::private_debounce::debounce2 Class Reference

State change logic for 2 state debounce. More...

`#include <debounce.h>`

## Protected Member Functions

| debounce2 (bool initial_state)
| ~debounce2 ()
| Destructor.
void | set_state (bool sample, bool condition_set, bool condition_clear)
bool | process (bool sample, count_t valid_count)
Protected Member Functions inherited from etl::private_debounce::debounce_base
| debounce_base (bool initial_state)
| Constructor.
| ~debounce_base ()
| Destructor.
void | get_next (bool sample, bool condition_set, bool condition_clear, const uint_least8_t state_table[][2])
| Gets the next state based on the inputs.

## Additional Inherited Members

Public Types inherited from etl::private_debounce::debounce_base
typedef uint_least8_t | flags_t
typedef uint16_t | count_t
Public Member Functions inherited from etl::private_debounce::debounce_base
void | add_sample (bool sample)
bool | has_changed () const
bool | is_set () const
bool | is_held () const
bool | is_repeating () const
Protected Types inherited from etl::private_debounce::debounce_base
enum | states { Off = 0 , On = 1 , Held = 2 , Repeating = 3 , State = 0x03U , Sample = 4 , Change = 8 }
Protected Attributes inherited from etl::private_debounce::debounce_base
flags_t | flags
count_t | count

## Detailed Description

State change logic for 2 state debounce.

The documentation for this class was generated from the following file:

- include/etl/debounce.h